UbixOS V2 2.0

Data Fields
sys_sysarch_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_sysarch_args:

## Data Fields
int | op
char | op_l_ [0]
char | op_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]
char * | parms
char | parms_l_ [0]
char | parms_r_ [(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]

## Detailed Description

Definition at line 514 of file sysproto_posix.h.

## Field Documentation

## ◆ op

int sys_sysarch_args::op

Definition at line 516 of file sysproto_posix.h.

Referenced by sys_sysarch().

## ◆ op_l_

char sys_sysarch_args::op_l_[0]

Definition at line 515 of file sysproto_posix.h.

## ◆ op_r_

char sys_sysarch_args::op_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 517 of file sysproto_posix.h.

## ◆ parms

char* sys_sysarch_args::parms

Definition at line 519 of file sysproto_posix.h.

Referenced by sys_sysarch().

## ◆ parms_l_

char sys_sysarch_args::parms_l_[0]

Definition at line 518 of file sysproto_posix.h.

## ◆ parms_r_

char sys_sysarch_args::parms_r_[(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]

Definition at line 520 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h